## deepin-desktop-base 2021.5.07

=== Makefile ===
VERSION := 20.2.1
RELEASE := 
ARCH_BUILD :=$(shell uname -m)

all: build

build:
        ifeq (${ARCH_BUILD}, mipsel)
		cp -v files/appstore_loongson.json files/appstore.json
        else ifeq (${ARCH_BUILD}, mips64)
		cp -v files/appstore_loongson.json files/appstore.json
        else ifeq (${ARCH_BUILD}, mips)
		cp -v files/appstore_loongson.json files/appstore.json
        endif
        ifeq (${ARCH_BUILD}, x86_64)
		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version.in > files/desktop-version
		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/os-version-amd > files/os-version
        else ifeq (${ARCH_BUILD}, x86_32)
		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version.in > files/desktop-version
		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/os-version-amd > files/os-version
        else ifeq (${ARCH_BUILD}, mipsel)
		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version-loongson.in > files/desktop-version
		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/os-version-loongson > files/os-version
        else ifeq (${ARCH_BUILD}, mips64)
		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version-loongson.in > files/desktop-version
        else ifeq (${ARCH_BUILD}, sw_64)
		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version-sw.in > files/desktop-version
		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/os-version-sw > files/os-version
        else ifeq (${ARCH_BUILD}, aarch64)
		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version-arm.in > files/desktop-version
		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/os-version-arm > files/os-version
        endif
	sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/lsb-release.in > files/lsb-release

install:
	mkdir -p ${DESTDIR}/etc
	mkdir -p ${DESTDIR}/usr/share/i18n
	mkdir -p ${DESTDIR}/usr/share/distro-info
	mkdir -p ${DESTDIR}/usr/share/python-apt/templates
	#mkdir -p ${DESTDIR}/usr/share/backgrounds/deepin
	mkdir -p ${DESTDIR}/usr/share/deepin
	install -Dm644 files/i18n_dependent.json  ${DESTDIR}/usr/share/i18n/i18n_dependent.json
	install -Dm644 files/language_info.json  ${DESTDIR}/usr/share/i18n/language_info.json
	install -Dm644 files/desktop-version ${DESTDIR}/usr/lib/deepin/desktop-version
	install -Dm644 files/lsb-release     ${DESTDIR}/etc/lsb-release
	install -Dm644 files/appstore.json     ${DESTDIR}/etc/appstore.json
	install -Dm644 files/deepin-logo.png ${DESTDIR}/usr/share/plymouth/deepin-logo.png
	#install -Dm644 files/desktop.jpg     ${DESTDIR}/usr/share/backgrounds/deepin/desktop.jpg
	install -Dm644 files/uos_logo.svg     ${DESTDIR}/usr/share/deepin/uos_logo.svg
	#install -Dm644 files/eff98ab2b2d91574a79fabd2b79eb7a9.jpg ${DESTDIR}/var/cache/image-blur/eff98ab2b2d91574a79fabd2b79eb7a9.jpg
	[ -e files/systemd.conf ] && install -Dm644 files/systemd.conf ${DESTDIR}/etc/systemd/system.conf.d/deepin-base.conf
	[ -e files/logind.conf ] && install -Dm644 files/logind.conf ${DESTDIR}/etc/systemd/logind.conf.d/deepin-base.conf
	install -Dm644 files/Deepin.info     ${DESTDIR}/usr/share/python-apt/templates/Deepin.info
	install -Dm644 files/Deepin.mirrors     ${DESTDIR}/usr/share/python-apt/templates/Deepin.mirrors
clean:
	rm -f files/desktop-version
	rm -f files/lsb-release

=== debian/changelog ===
deepin-desktop-base (2021.5.07-apricot) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Fri, 07 May 2021 13:59:46 +0800

deepin-desktop-base (2021.5.06-apricot) unstable; urgency=medium

  * update os-version 20.2.1.

 -- TagBuilder <lichenggang@uniontech.com>  Thu, 06 May 2021 09:35:25 +0800

deepin-desktop-base (2021.4.19-apricot) unstable; urgency=medium

  * update os-version 11038.002.

 -- TagBuilder <lichenggang@uniontech.com>  Mon, 19 Apr 2021 14:30:49 +0800

deepin-desktop-base (2021.3.10-apricot) unstable; urgency=medium

  * update os-version 1040.

 -- TagBuilder <lichenggang@uniontech.com>  Wed, 10 Mar 2021 16:13:17 +0800

deepin-desktop-base (2021.3.04-apricot) unstable; urgency=medium

  * update os-version 20.2.

 -- TagBuilder <lichenggang@uniontech.com>  Thu, 04 Mar 2021 15:07:26 +0800

deepin-desktop-base (2021.2.20-apricot) unstable; urgency=medium

  * update osbuild 11038.003.

 -- TagBuilder <lichenggang@uniontech.com>  Sat, 20 Feb 2021 09:35:13 +0800

deepin-desktop-base (2021.1.29-apricot) unstable; urgency=medium

  * update osbuild 11038.002.

 -- TagBuilder <lichenggang@uniontech.com>  Fri, 29 Jan 2021 17:24:08 +0800

deepin-desktop-base (2021.1.25-apricot) unstable; urgency=medium

  * update osbuild 002.

 -- TagBuilder <lichenggang@uniontech.com>  Mon, 25 Jan 2021 09:23:15 +0800

deepin-desktop-base (2021.1.12-apriocot) unstable; urgency=medium

  * update os-version.

 -- TagBuilder <lichenggang@uniontech.com>  Tue, 12 Jan 2021 18:06:49 +0800

deepin-desktop-base (2021.1.11-apricot) unstable; urgency=medium

  * update os-version.

 -- TagBuilder <lichenggang@uniontech.com>  Mon, 11 Jan 2021 17:32:39 +0800

deepin-desktop-base (2020.12.25-apricot) unstable; urgency=medium

  * go back postinst.

 -- TagBuilder <lichenggang@uniontech.com>  Fri, 25 Dec 2020 09:34:44 +0800

deepin-desktop-base (2020.12.24-apricot) unstable; urgency=medium

  * cancel chattr +i operating.

 -- TagBuilder <lichenggang@uniontech.com>  Thu, 24 Dec 2020 10:00:19 +0800

deepin-desktop-base (2020.12.21-apricot) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- TagBuilder <lichenggang@uniontech.com>  Mon, 21 Dec 2020 13:13:11 +0800

deepin-desktop-base (2020.12.09-apricot) unstable; urgency=medium

  * update os-version 20.1.

 -- TagBuilder <lichenggang@uniontech.com>  Wed, 09 Dec 2020 16:16:32 +0800

deepin-desktop-base (2020.12.03-apricot) unstable; urgency=medium

  * update os-version 20.1 Beta.
   

 -- TagBuilder <lichenggang@uniontech.com>  Thu, 03 Dec 2020 19:28:50 +0800

deepin-desktop-base (2020.11.04-apricot) unstable; urgency=medium

  * Non-maintainer upload.
  * update os-version OsBuild=11031.106

 -- TagBuilder <lichenggang@uniontech.com>  Wed, 04 Nov 2020 11:12:45 +0800

deepin-desktop-base (2020.09.09-apricot) unstable; urgency=medium

  * update os-version
  * 

 -- TagBuilder <lichenggang@uniontech.com>  Wed, 09 Sep 2020 13:24:04 +0800

deepin-desktop-base (2020.08.11-apricot) unstable; urgency=medium

  * Non-maintainer upload.
  * Feat: Community Edition integrates apt data collection function

 -- TagBuilder <lichenggang@uniontech.com>  Tue, 11 Aug 2020 15:38:04 +0800

deepin-desktop-base (2020.07.24-apricot) unstable; urgency=medium

  * Autobuild Tag 2020.07.24

 -- TagBuilder <caihouhui@uniontech.com>  Fri, 24 Jul 2020 21:03:57 +0800

deepin-desktop-base (2016.02.01) unstable; urgency=low

  * Autobuild Tag 2016.02.01 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 25 May 2016 14:42:05 +0000

deepin-desktop-base (2016.01.31-1) unstable; urgency=low

  * Autobuild Tag 2016.01.31 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 12:48:41 +0000

deepin-desktop-base (2016.01.29-2) unstable; urgency=low

  * Rebuild Version 2016.01.29 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 16:17:21 +0000

deepin-desktop-base (2016.01.29-1) unstable; urgency=low

  * Autobuild Tag 2016.01.29 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 07 Mar 2016 17:17:02 +0000

deepin-desktop-base (2016.01.28-1) unstable; urgency=low

  * Autobuild Tag 2016.01.28 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 28 Jan 2016 15:12:55 +0000

deepin-desktop-base (2015.12.30-1) unstable; urgency=low

  * Autobuild Tag 2015.12.30 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 30 Dec 2015 20:45:05 +0000

deepin-desktop-base (2015.12.19-9) unstable; urgency=low

  * Rebuild Version 2015.12.19 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 21 Dec 2015 11:21:11 +0000

deepin-desktop-base (2015.12.19-8) unstable; urgency=low

  * Rebuild Version 2015.12.19 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 21 Dec 2015 11:04:54 +0000

deepin-desktop-base (2015.12.19-7) unstable; urgency=low

  * Rebuild Version 2015.12.19 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 21 Dec 2015 10:54:30 +0000

deepin-desktop-base (2015.12.19-6) unstable; urgency=low

  * Rebuild Version 2015.12.19 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 21 Dec 2015 10:32:59 +0000

deepin-desktop-base (2015.12.19-5) unstable; urgency=low

  * Autobuild Tag 2015.12.19 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 21 Dec 2015 10:31:16 +0000

deepin-desktop-base (2015.12.19-1) unstable; urgency=low

  * Autobuild Tag 2015.12.19 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 21 Dec 2015 10:31:16 +0000

deepin-desktop-base (2015.12.11) unstable; urgency=medium

  * modify 2015 desktop to 2015, grub-update. 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Fri, 11 Dec 2015 13:34:44 +0800

deepin-desktop-base (2015.12.8) unstable; urgency=medium

  * update to 2015 beta. 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Tue, 08 Dec 2015 14:37:21 +0800

deepin-desktop-base (2015.11.6) unstable; urgency=medium

  * add lsb-release files. 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Thu, 26 Nov 2015 15:10:32 +0800

deepin-desktop-base (2015.11.5) unstable; urgency=medium



=== debian/control ===
Source: deepin-desktop-base
Section: misc
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)

Package: deepin-desktop-base
Architecture: any
Provides: deepin-appstore-config
Conflicts: deepin-desktop-server
Depends: ${misc:Depends}, deepin-keyring, distro-info-data,
 eject, fonts-noto, fonts-symbola
Description: The basic file of Deepin Desktop, 
 provides system attribute description for DDE components

## deepin-desktop-base 2022.03.07

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-VERSION := 20.2.1
-RELEASE := 
+VERSION := 20.5
+RELEASE :=
 ARCH_BUILD :=$(shell uname -m)
 
 all: build
@@ -15,7 +15,7 @@
         ifeq (${ARCH_BUILD}, x86_64)
 		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version.in > files/desktop-version
 		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/os-version-amd > files/os-version
-        else ifeq (${ARCH_BUILD}, x86_32)
+        else ifeq (${ARCH_BUILD}, i686)
 		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version.in > files/desktop-version
 		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/os-version-amd > files/os-version
         else ifeq (${ARCH_BUILD}, mipsel)
@@ -46,7 +46,6 @@
 	install -Dm644 files/appstore.json     ${DESTDIR}/etc/appstore.json
 	install -Dm644 files/deepin-logo.png ${DESTDIR}/usr/share/plymouth/deepin-logo.png
 	#install -Dm644 files/desktop.jpg     ${DESTDIR}/usr/share/backgrounds/deepin/desktop.jpg
-	install -Dm644 files/uos_logo.svg     ${DESTDIR}/usr/share/deepin/uos_logo.svg
 	#install -Dm644 files/eff98ab2b2d91574a79fabd2b79eb7a9.jpg ${DESTDIR}/var/cache/image-blur/eff98ab2b2d91574a79fabd2b79eb7a9.jpg
 	[ -e files/systemd.conf ] && install -Dm644 files/systemd.conf ${DESTDIR}/etc/systemd/system.conf.d/deepin-base.conf
 	[ -e files/logind.conf ] && install -Dm644 files/logind.conf ${DESTDIR}/etc/systemd/logind.conf.d/deepin-base.conf
@@ -55,3 +54,4 @@
 clean:
 	rm -f files/desktop-version
 	rm -f files/lsb-release
+	rm -f files/os-version

=== debian/changelog ===
deepin-desktop-base (2022.03.07-apricot) unstable; urgency=medium

  * update os-version 20.5 

 -- LiChengGang <lichenggang@uniontech.com>  Mon, 07 Mar 2022 09:12:39 +0800

deepin-desktop-base (2021.12.29-apricot) unstable; urgency=medium
  
  * update os-version 20.4

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 29 Dec 2021 20:58:34 +0800

deepin-desktop-base (2021.11.08-apricot) unstable; urgency=medium

  * update os-version 20.3 

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 29 Dec 2021 20:58:34 +0800

deepin-desktop-base (2021.11.01-apricot) unstable; urgency=medium

  * update os-version 20.2.5 

 -- LiChengGang <lichenggang@uniontech.com>  Mon, 01 Nov 2021 14:35:26 +0800

deepin-desktop-base (2021.9.08-apricot) unstable; urgency=medium

  * update os-version 20.2.4 

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 08 Sep 2021 19:17:08 +0800

deepin-desktop-base (2021.9.07-apricot) unstable; urgency=medium

  * Non-maintainer upload.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 07 Sep 2021 15:59:32 +0800

deepin-desktop-base (2021.8.02-apricot) unstable; urgency=medium

  * update os-version 20.2.3.

 -- TagBuilder <lichenggang@uniontech.com>  Mon, 02 Aug 2021 14:17:07 +0800

deepin-desktop-base (2021.6.16-apricot) unstable; urgency=medium

  * update os-version 20.2.2.

 -- TagBuilder <lichenggang@uniontech.com>  Wed, 16 Jun 2021 15:20:41 +0800

## deepin-desktop-base 2022.05.17

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 20.5
+VERSION := 20.6
 RELEASE :=
 ARCH_BUILD :=$(shell uname -m)

=== debian/changelog ===
deepin-desktop-base (2022.05.17-apricot) unstable; urgency=medium

  * update os-version 20.6 

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 17 May 2022 10:34:58 +0800

## deepin-desktop-base 2022.06.13

=== debian/changelog ===
deepin-desktop-base (2022.06.13-apricot) unstable; urgency=medium

  * update 

 -- LiChengGang <lichenggang@uniontech.com>  Mon, 13 Jun 2022 19:31:25 +0800

## deepin-desktop-base 2022.06.15

=== debian/changelog ===
deepin-desktop-base (2022.06.15-apricot) unstable; urgency=medium

   * update 

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 15 Jun 2022 19:24:57 +0800

## deepin-desktop-base 2022.06.28

=== debian/changelog ===
deepin-desktop-base (2022.06.28-apricot) unstable; urgency=medium

   * update 

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 28 Jun 2022 09:57:23 +0800

## deepin-desktop-base 2022.06.29

=== debian/changelog ===
deepin-desktop-base (2022.06.29-apricot) unstable; urgency=medium

  * update 

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 29 Jun 2022 16:06:49 +0800

## deepin-desktop-base 2022.07.26

=== debian/changelog ===
deepin-desktop-base (2022.07.26-apricot) unstable; urgency=medium

  * update  

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 26 Jul 2022 19:55:26 +0800

## deepin-desktop-base 2022.08.16

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 20.6
+VERSION := 20.7
 RELEASE :=
 ARCH_BUILD :=$(shell uname -m)
 
@@ -29,6 +29,10 @@
         else ifeq (${ARCH_BUILD}, aarch64)
 		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version-arm.in > files/desktop-version
 		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/os-version-arm > files/os-version
+        else ifeq (${ARCH_BUILD}, riscv64)
+		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version-riscv.in > files/desktop-version
+		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version-riscv-server.in > files/desktop-version-server
+		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/os-version-riscv > files/os-version
         endif
 	sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/lsb-release.in > files/lsb-release

=== debian/changelog ===
deepin-desktop-base (2022.08.16-deepin) unstable; urgency=medium

  * update os-version 

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 16 Aug 2022 10:41:42 +0800

## deepin-desktop-base 2022.09.19

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 20.7
+VERSION := 20.7.1
 RELEASE :=
 ARCH_BUILD :=$(shell uname -m)

=== debian/changelog ===
deepin-desktop-base (2022.09.19-deepin) unstable; urgency=medium

  * 20.7.1 released.

 -- LiuHeng <liuheng@deepin.org>  Mon, 19 Sep 2022 14:22:36 +0800

## deepin-desktop-base 2022.11.15

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 20.7.1
+VERSION := 20.8
 RELEASE :=
 ARCH_BUILD :=$(shell uname -m)

=== debian/changelog ===
deepin-desktop-base (2022.11.15-deepin) unstable; urgency=medium

  * release 20.8.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 15 Nov 2022 13:23:49 +0800

## deepin-desktop-base 2023.03.31

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 20.8
+VERSION := 20.9
 RELEASE :=
 ARCH_BUILD :=$(shell uname -m)

=== debian/changelog ===
deepin-desktop-base (2023.03.31-deepin) unstable; urgency=medium

  * release 20.9  

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 31 Mar 2023 15:11:57 +0800

## deepin-desktop-base 2024.07.24

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 20.9
+VERSION := 23
 RELEASE :=
 ARCH_BUILD :=$(shell uname -m)
 
@@ -15,7 +15,7 @@
         ifeq (${ARCH_BUILD}, x86_64)
 		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version.in > files/desktop-version
 		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/os-version-amd > files/os-version
-        else ifeq (${ARCH_BUILD}, i686)
+        else ifeq (${ARCH_BUILD}, x86_32)
 		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version.in > files/desktop-version
 		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/os-version-amd > files/os-version
         else ifeq (${ARCH_BUILD}, mipsel)
@@ -31,8 +31,10 @@
 		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/os-version-arm > files/os-version
         else ifeq (${ARCH_BUILD}, riscv64)
 		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version-riscv.in > files/desktop-version
-		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version-riscv-server.in > files/desktop-version-server
 		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/os-version-riscv > files/os-version
+        else ifeq (${ARCH_BUILD}, loongarch64)
+		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/desktop-version-loong.in > files/desktop-version
+		sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/os-version-loong > files/os-version
         endif
 	sed -e "s|@@VERSION@@|$(VERSION)|g" -e "s|@@RELEASE@@|$(RELEASE)|g" files/lsb-release.in > files/lsb-release

=== debian/changelog ===
deepin-desktop-base (2024.07.24) unstable; urgency=medium

  * add deepin-version.

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 24 Jul 2024 14:15:05 +0800

deepin-desktop-base (2024.05.32) unstable; urgency=medium

  * update v23 Release.

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 19 Jul 2024 17:04:36 +0800

deepin-desktop-base (2024.05.31) unstable; urgency=medium

  * update amd64, System ID RC2.

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 31 May 2024 11:04:08 +0800

deepin-desktop-base (2024.04.18) unstable; urgency=medium

  * update loong64 arm64 riscv64, System ID.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 18 Apr 2024 18:50:12 +0800

deepin-desktop-base (2024.04.16) unstable; urgency=medium

  * update v23 RC version.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 16 Apr 2024 17:38:43 +0800

deepin-desktop-base (2024.01.03) unstable; urgency=medium

  * add loong64 support

 -- Chang Yang <yangchang@deepin.org>  Wed, 03 Jan 2024 10:14:45 +0800

deepin-desktop-base (2023.12.27) unstable; urgency=medium

  * update Beta3 version

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 27 Dec 2023 16:41:02 +0800

deepin-desktop-base (2023.09.05-deepin) unstable; urgency=medium

  * update en_US Beta2 version

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 05 Sep 2023 14:15:56 +0800

deepin-desktop-base (2023.09.04-deepin) unstable; urgency=medium

  * update Beta2 version.

 -- LiChengGang <lichenggang@uniontech.com>  Mon, 04 Sep 2023 15:54:27 +0800

deepin-desktop-base (2023.05.06-deepin) unstable; urgency=medium

  * 修改繁体中文名称

 -- zsien <quezhiyong@uniontech.com>  Sat, 06 May 2023 10:50:20 +0800

deepin-desktop-base (2023.04.19-deepin) unstable; urgency=medium

  * update os-version.

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 19 Apr 2023 10:58:11 +0800

deepin-desktop-base (2023.01.16-deepin) unstable; urgency=medium

  * fix OS Version.

 -- caihouhui <caihouhui@uniontech.com>  Mon, 16 Jan 2023 17:18:31 +0800

deepin-desktop-base (2022.12.05-deepin) unstable; urgency=medium

  * fix OS Version.

 -- caihouhui <caihouhui@uniontech.com>  Mon, 05 Dec 2022 17:36:56 +0800

deepin-desktop-base (2022.11.21-deepin) unstable; urgency=medium

  * remove nightly-version.svg.

 -- caihouhui <lichenggang@uniontech.com>  Mon, 21 Nov 2022 13:33:40 +0800

deepin-desktop-base (2022.11.02-deepin) unstable; urgency=medium

  * update OS Version. 

 -- caihouhui <caihouhui@uniontech.com>  Wed, 02 Nov 2022 13:27:03 +0800

deepin-desktop-base (2022.10.27-deepin) unstable; urgency=medium

  * update OS Version.

 -- caihouhui <caihouhui@uniontech.com>  Thu, 27 Oct 2022 16:09:25 +0800

deepin-desktop-base (2022.10.12-deepin) unstable; urgency=medium

  * update OS Version

 -- caihouhui <caihouhui@uniontech.com>  Wed, 12 Oct 2022 16:28:21 +0800

deepin-desktop-base (2022.07.22-deepin) unstable; urgency=medium

  * update lsb-release 

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 22 Jul 2022 14:58:27 +0800

deepin-desktop-base (2022.06.21-deepin) unstable; urgency=medium

  * Non-maintainer upload.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 21 Jun 2022 21:12:24 +0800

deepin-desktop-base (2021.12.06-deepin) unstable; urgency=medium

  * update os-version 23 Nightly.

 -- Deepin Sysdev <lichenggang@uniontech.com>  Mon, 06 Dec 2021 19:48:16 +0800

deepin-desktop-base (2021.12.01-deepin) unstable; urgency=medium

  * update os-version v23.

 -- Deepin Sysdev <lichenggang@uniontech.com>  Wed, 01 Dec 2021 14:01:06 +0800

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installgsettings:
	dh_installgsettings --priority=99

## deepin-desktop-base 2024.07.26

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 23
+VERSION := 23.1
 RELEASE :=
 ARCH_BUILD :=$(shell uname -m)

=== debian/changelog ===
deepin-desktop-base (2024.07.26) unstable; urgency=medium

  * update 23.1 version.

 -- lichenggang <lichenggang@deepin.org>  Tue, 08 Apr 2025 17:59:40 +0800

deepin-desktop-base (2024.07.25) unstable; urgency=medium

  * update 23.1 os-version.

 -- lichenggang <lichenggang@deepin.org>  Thu, 27 Mar 2025 13:09:46 +0800

## deepin-desktop-base 2025.04.22

=== debian/changelog ===
deepin-desktop-base (2025.04.22) unstable; urgency=medium

  * update os-version Beta.

 -- lichenggang <lichenggang@deepin.org>  Tue, 22 Apr 2025 11:33:38 +0800

deepin-desktop-base (2025.03.06) unstable; urgency=medium

  * update os-version Alpha.

 -- lichenggang <lichenggang@deepin.org>  Tue, 22 Apr 2025 10:08:47 +0800

deepin-desktop-base (2025.03.05) unstable; urgency=medium

  * add Kabyle Azerbaijani  Filipino.

 -- lichenggang <lichenggang@deepin.org>  Fri, 18 Apr 2025 16:45:12 +0800

deepin-desktop-base (2025.03.04) unstable; urgency=medium

  * update 25 Beta.

 -- lichenggang <lichenggang@deepin.org>  Thu, 17 Apr 2025 17:50:22 +0800

deepin-desktop-base (2025.03.03) unstable; urgency=medium

  * update 25 Alpha.

 -- lichenggang <lichenggang@deepin.org>  Mon, 03 Mar 2025 14:27:53 +0800

deepin-desktop-base (2025.01.06) unstable; urgency=medium

  * update os-version.

 -- lichenggang <lichenggang@deepin.org>  Mon, 06 Jan 2025 13:48:41 +0800

deepin-desktop-base (2024.10.28) unstable; urgency=medium

  * updatge v25 Release.

 -- lichenggang <lichenggang@deepin.org>  Mon, 28 Oct 2024 13:20:08 +0800

## deepin-desktop-base 2025.06.23

=== debian/changelog ===
deepin-desktop-base (2025.06.23) unstable; urgency=medium

  * update os-version 25 release.

 -- lichenggang <lichenggang@deepin.org>  Mon, 23 Jun 2025 11:11:13 +0800

deepin-desktop-base (2025.04.24) unstable; urgency=medium

  * update language_info.ison

 -- lichenggang <lichenggang@deepin.org>  Thu, 24 Apr 2025 11:29:29 +0800

## deepin-desktop-base 2025.08.22

=== debian/changelog ===
deepin-desktop-base (2025.08.22) unstable; urgency=medium

  * update 25.0.7

 -- lichenggang <lichenggang@deepin.org>  Fri, 22 Aug 2025 11:39:32 +0800

deepin-desktop-base (2025.07.15) unstable; urgency=medium

  * update os-version: osbuild.

 -- lichenggang <lichenggang@deepin.org>  Tue, 15 Jul 2025 10:18:34 +0800

deepin-desktop-base (2025.07.02) unstable; urgency=medium

  * update osbuild.

 -- lichenggang <lichenggang@deepin.org>  Wed, 02 Jul 2025 10:58:26 +0800

## deepin-desktop-base 2025.10.22

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 23.1
+VERSION := 25
 RELEASE :=
 ARCH_BUILD :=$(shell uname -m)

=== debian/changelog ===
deepin-desktop-base (2025.10.22) unstable; urgency=medium

  * update 25.0.9

 -- lichenggang <lichenggang@deepin.org>  Wed, 22 Oct 2025 11:26:07 +0800

deepin-desktop-base (2025.09.22) unstable; urgency=medium

  * update 25.0.8 

 -- lichenggang <lichenggang@deepin.org>  Mon, 22 Sep 2025 13:15:57 +0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Deepin Sysdev <sysdev@deepin.com>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9)
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 12)
 
 Package: deepin-desktop-base
 Architecture: any

## deepin-desktop-base 2025.11.25

=== debian/changelog ===
deepin-desktop-base (2025.11.25) unstable; urgency=medium

  * update 25.0.10.

 -- lichenggang <lichenggang@deepin.org>  Tue, 25 Nov 2025 14:16:31 +0800

deepin-desktop-base (2025.11.19) unstable; urgency=medium

  * update OsBuild

 -- lichenggang <lichenggang@deepin.org>  Wed, 19 Nov 2025 16:43:32 +0800
